package audio

var defaultManager = Manager{}

func LoadLibrary(library *Library) {
	defaultManager.Load(library)
}

func SetVolume(value float32) {
	defaultManager.SetVolume(value)
}

func Volume() float32 {
	return defaultManager.Volume()
}

func Play(id SoundID) {
	defaultManager.Play(id)
}

func PlayLooped(id SoundID) {
	defaultManager.PlayLooped(id)
}

func Stop(id SoundID) {
	defaultManager.Stop(id)
}

func IsPlaying(id SoundID) bool {
	return defaultManager.IsPlaying(id)
}

func Pause() {
	defaultManager.Pause()
}

func Resume() {
	defaultManager.Resume()
}

func Update() {
	defaultManager.Update()
}
